aim4.config

## Class Condor

- java.lang.Object
- - aim4.config.Condor

-     public final class Condor
      extends Object

  A utility class for using with Condor.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONDOR_FILE_SUFFIX` The common file suffix for condor jobs.
    `static int` | `CONDOR_ID` The ID of the current Condor process.
    `static int` | `CONDOR_NUM` The total number of Condor processes.
    `static boolean` | `IS_CONDOR_EXIST` Whether the current job is submitted to Condor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `condorDo()` The condorDo construct returns true if and only if its internal counter is equal to the Condor ID of the current process.
    `static void` | `condorDoReset()` Reset the internal counter of the condorDo construct.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONDOR_ID

          public static final int CONDOR_ID

      The ID of the current Condor process.

    - #### CONDOR_NUM

          public static final int CONDOR_NUM

      The total number of Condor processes.

    - #### IS_CONDOR_EXIST

          public static final boolean IS_CONDOR_EXIST

      Whether the current job is submitted to Condor.

    - #### CONDOR_FILE_SUFFIX

          public static final String CONDOR_FILE_SUFFIX

      The common file suffix for condor jobs.

  - ### Method Detail

    - #### condorDo

          public static boolean condorDo()

      The condorDo construct returns true if and only if its internal counter is equal to the Condor ID of the current process. It is intended to be used in loops such that each Condor process would only execute the iterations of the loops if and only if the ID of Condor process is equal to the multiple of the iteration's count. The objective to evenly partition the iterations for the condor processes. The internal counter is incremented by 1 after every call of condorDo().
      Returns:
        whether the condor process should execute the code block of the if-statement.

    - #### condorDoReset

          public static void condorDoReset()

      Reset the internal counter of the condorDo construct.

Copyright © 2013. All rights reserved.